Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface OrganizationQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryObjectQueryType

All Known Implementing Classes:
  OrganizationQueryTypeImpl

    public interface OrganizationQueryType

extends RegistryObjectQueryType

A representation of the model object 'Organization Query Type'.

The following features are supported:

- `Organization Filter`
- `Postal Address Filter`
- `Telephone Number Filter`
- `User Branch`
- `Organization Parent Branch`
- `Organization Children Branch`

See Also:
  `QueryPackage.getOrganizationQueryType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getOrganizationChildrenBranch()` Returns the value of the 'Organization Children Branch' containment reference list.
`FilterType` | `getOrganizationFilter()` Returns the value of the 'Organization Filter' containment reference.
`OrganizationQueryType` | `getOrganizationParentBranch()` Returns the value of the 'Organization Parent Branch' containment reference.
`FilterType` | `getPostalAddressFilter()` Returns the value of the 'Postal Address Filter' containment reference.
`org.eclipse.emf.common.util.EList` | `getTelephoneNumberFilter()` Returns the value of the 'Telephone Number Filter' containment reference list.
`UserBranchType` | `getUserBranch()` Returns the value of the 'User Branch' containment reference.
`void` | `setOrganizationFilter(FilterType value)` Sets the value of the '`Organization Filter`' containment reference.
`void` | `setOrganizationParentBranch(OrganizationQueryType value)` Sets the value of the '`Organization Parent Branch`' containment reference.
`void` | `setPostalAddressFilter(FilterType value)` Sets the value of the '`Postal Address Filter`' containment reference.
`void` | `setUserBranch(UserBranchType value)` Sets the value of the '`User Branch`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryObjectQueryType
`getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOrganizationFilter

    FilterType getOrganizationFilter()

  Returns the value of the 'Organization Filter' containment reference.

  If the meaning of the 'Organization Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Filter' containment reference.
  See Also:
    `setOrganizationFilter(FilterType)`, `QueryPackage.getOrganizationQueryType_OrganizationFilter()`

### setOrganizationFilter

    void setOrganizationFilter(FilterType value)

  Sets the value of the '`Organization Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization Filter' containment reference.
  See Also:
    `getOrganizationFilter()`

### getPostalAddressFilter

    FilterType getPostalAddressFilter()

  Returns the value of the 'Postal Address Filter' containment reference.

  If the meaning of the 'Postal Address Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Postal Address Filter' containment reference.
  See Also:
    `setPostalAddressFilter(FilterType)`, `QueryPackage.getOrganizationQueryType_PostalAddressFilter()`

### setPostalAddressFilter

    void setPostalAddressFilter(FilterType value)

  Sets the value of the '`Postal Address Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Postal Address Filter' containment reference.
  See Also:
    `getPostalAddressFilter()`

### getTelephoneNumberFilter

    org.eclipse.emf.common.util.EList getTelephoneNumberFilter()

  Returns the value of the 'Telephone Number Filter' containment reference list. The list contents are of type `FilterType`.

  If the meaning of the 'Telephone Number Filter' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Telephone Number Filter' containment reference list.
  See Also:
    `QueryPackage.getOrganizationQueryType_TelephoneNumberFilter()`

### getUserBranch

    UserBranchType getUserBranch()

  Returns the value of the 'User Branch' containment reference.

  If the meaning of the 'User Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Branch' containment reference.
  See Also:
    `setUserBranch(UserBranchType)`, `QueryPackage.getOrganizationQueryType_UserBranch()`

### setUserBranch

    void setUserBranch(UserBranchType value)

  Sets the value of the '`User Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'User Branch' containment reference.
  See Also:
    `getUserBranch()`

### getOrganizationParentBranch

    OrganizationQueryType getOrganizationParentBranch()

  Returns the value of the 'Organization Parent Branch' containment reference.

  If the meaning of the 'Organization Parent Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Parent Branch' containment reference.
  See Also:
    `setOrganizationParentBranch(OrganizationQueryType)`, `QueryPackage.getOrganizationQueryType_OrganizationParentBranch()`

### setOrganizationParentBranch

    void setOrganizationParentBranch(OrganizationQueryType value)

  Sets the value of the '`Organization Parent Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization Parent Branch' containment reference.
  See Also:
    `getOrganizationParentBranch()`

### getOrganizationChildrenBranch

    org.eclipse.emf.common.util.EList getOrganizationChildrenBranch()

  Returns the value of the 'Organization Children Branch' containment reference list. The list contents are of type `OrganizationQueryType`.

  If the meaning of the 'Organization Children Branch' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Children Branch' containment reference list.
  See Also:
    `QueryPackage.getOrganizationQueryType_OrganizationChildrenBranch()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD